[arch-commits] Commit in imagemagick/repos (8 files)

Eric Belanger eric at archlinux.org
Wed Apr 23 04:30:24 UTC 2008


    Date: Wednesday, April 23, 2008 @ 00:30:24
  Author: eric
Revision: 808

moving to extra

Added:
  imagemagick/repos/extra-i686/ChangeLog
  imagemagick/repos/extra-i686/add_delegate.patch
  imagemagick/repos/extra-x86_64/ChangeLog
  imagemagick/repos/extra-x86_64/add_delegate.patch
Modified:
  imagemagick/repos/extra-i686/PKGBUILD
  imagemagick/repos/extra-x86_64/PKGBUILD
Deleted:
  imagemagick/repos/testing-i686/
  imagemagick/repos/testing-x86_64/

---------------------------------+
 extra-i686/ChangeLog            |    6 ++++++
 extra-i686/PKGBUILD             |   33 +++++++++++++++++++--------------
 extra-i686/add_delegate.patch   |    8 ++++++++
 extra-x86_64/ChangeLog          |    6 ++++++
 extra-x86_64/PKGBUILD           |   33 +++++++++++++++++++--------------
 extra-x86_64/add_delegate.patch |    8 ++++++++
 6 files changed, 66 insertions(+), 28 deletions(-)

Added: extra-i686/ChangeLog
===================================================================
--- extra-i686/ChangeLog	                        (rev 0)
+++ extra-i686/ChangeLog	2008-04-23 04:30:24 UTC (rev 808)
@@ -0,0 +1,6 @@
+2008-03-29  Eric Belanger  <eric at archlinux.org>
+
+	* imagemagick 6.4.0.2-1
+	* Upstream update
+	* Added dvips to delegates list for dvi support (close FS#8914)
+	* Added ChangeLog

Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2008-04-23 04:29:08 UTC (rev 807)
+++ extra-i686/PKGBUILD	2008-04-23 04:30:24 UTC (rev 808)
@@ -5,19 +5,22 @@
 # uninstall ImageMagick before building, or build it, install it, build it.
 
 pkgname=imagemagick
-pkgver=6.3.8.0
-pkgrel=2
+pkgver=6.4.0.2
+pkgrel=1
 pkgdesc="An image viewing/manipulation program"
 arch=('i686' 'x86_64')
 url="http://www.imagemagick.org/"
 license=('custom')
-depends=('lcms' 'libwmf' 'librsvg' 'libxt' 'gcc-libs' 'ghostscript' 'openexr')
+depends=('lcms' 'libwmf' 'librsvg' 'libxt' 'gcc-libs' 'ghostscript' 'openexr' 'libtool>=2.2')
 #makedepends=('ghostscript' 'openexr')
 options=('!makeflags')
 source=(ftp://ftp.imagemagick.org/pub/ImageMagick/ImageMagick-${pkgver%.*}-${pkgver##*.}.tar.bz2 \
-        libpng_mmx_patch_x86_64.patch)
-md5sums=('ca771d5c6dc50ac6b0c4d6abc2c9bd77' '069980fc2590c02aed86420996259302')
-sha1sums=('c22e3cf891d4a48289f622011ffcbb37f2ffa74d' 'e42f3acbe85b6098af75c5cecc9a254baaa0482c')
+        libpng_mmx_patch_x86_64.patch add_delegate.patch)
+md5sums=('81cf4a9c720759d28ae5db269b868ef1' '069980fc2590c02aed86420996259302'\
+         '7f5851c4450b73d52df55c7e806cc316')
+sha1sums=('314748cdec0939d210641a403281b05a80da765c'
+          'e42f3acbe85b6098af75c5cecc9a254baaa0482c'
+          '19b40dcbc5bf8efb8ce7190fed17e2921de32ea5')
 
 build() {
   cd ${startdir}/src/ImageMagick-${pkgver%.*}
@@ -26,17 +29,19 @@
     patch -Np1 -i ${startdir}/src/libpng_mmx_patch_x86_64.patch || return 1
   fi
 
-  ./configure --prefix=/usr --with-modules=no --without-dps \
-              --with-perl=yes --without-gvc --with-jp2=no \
-              --with-gs-font-dir=/usr/share/fonts/Type1 \
-              --without-djvu --with-wmf --with-openexr --disable-static \
-              --disable-openmp LIBS="${LIBS} -lstdc++" \
-              --with-perl-options="INSTALLDIRS=vendor"
+  patch -p0 < ../add_delegate.patch || return 1
 
+  ./configure --prefix=/usr --without-modules --disable-static --disable-openmp \
+              --with-x --with-wmf --with-openexr \
+              --with-gslib --with-gs-font-dir=/usr/share/fonts/Type1 \
+              --with-perl --with-perl-options="INSTALLDIRS=vendor" \
+              --without-gvc --without-djvu --without-jp2 \
+              --without-jbig --without-fpx --without-dps
+
   make || return 1
   make DESTDIR=${startdir}/pkg install
-  install -D -m644 LICENSE ${startdir}/pkg/usr/share/licenses/$pkgname/LICENSE
-  install -D -m644 NOTICE ${startdir}/pkg/usr/share/licenses/$pkgname/NOTICE
+  install -D -m644 LICENSE ${startdir}/pkg/usr/share/licenses/${pkgname}/LICENSE
+  install -D -m644 NOTICE ${startdir}/pkg/usr/share/licenses/${pkgname}/NOTICE
 
   #Cleaning
   find ${startdir}/pkg -name '*.bs' -exec rm {} \;

Added: extra-i686/add_delegate.patch
===================================================================
--- extra-i686/add_delegate.patch	                        (rev 0)
+++ extra-i686/add_delegate.patch	2008-04-23 04:30:24 UTC (rev 808)
@@ -0,0 +1,8 @@
+--- config/delegates.xml.in.orig	2008-03-29 23:25:03.000000000 -0400
++++ config/delegates.xml.in	2008-03-29 23:27:35.000000000 -0400
+@@ -103,4 +103,5 @@
+   <delegate decode="xps:color" stealth="True" command=""@XPSDelegate@" -dQUIET -dPARANOIDSAFER -dBATCH -dNOPAUSE -dNOPROMPT -dMaxBitmap=500000000 -dAlignToPixels=0 -dGridFitTT=0 "-sDEVICE=@XPSColorDevice@" -dTextAlphaBits=%u -dGraphicsAlphaBits=%u "-r%s" %s "-sOutputFile=%s" "%s""/>
+   <delegate decode="xps:cmyk" stealth="True" command=""@XPSDelegate@" -dQUIET -dPARANOIDSAFER -dBATCH -dNOPAUSE -dNOPROMPT -dMaxBitmap=500000000 -dAlignToPixels=0 -dGridFitTT=0 "-sDEVICE=@XPSCMYKDevice@" -dTextAlphaBits=%u -dGraphicsAlphaBits=%u "-r%s" %s "-sOutputFile=%s" "%s""/>
+   <delegate decode="xps:mono" stealth="True" command=""@XPSDelegate@" -dQUIET -dPARANOIDSAFER -dBATCH -dNOPAUSE -dNOPROMPT -dMaxBitmap=500000000 -dAlignToPixels=0 -dGridFitTT=0 "-sDEVICE=@XPSMonoDevice@" -dTextAlphaBits=%u -dGraphicsAlphaBits=%u "-r%s" %s "-sOutputFile=%s" "%s""/>
++  <delegate decode="dvi" command=""dvips" -q -o "%o" "%i""/>
+ </delegatemap>

Added: extra-x86_64/ChangeLog
===================================================================
--- extra-x86_64/ChangeLog	                        (rev 0)
+++ extra-x86_64/ChangeLog	2008-04-23 04:30:24 UTC (rev 808)
@@ -0,0 +1,6 @@
+2008-03-29  Eric Belanger  <eric at archlinux.org>
+
+	* imagemagick 6.4.0.2-1
+	* Upstream update
+	* Added dvips to delegates list for dvi support (close FS#8914)
+	* Added ChangeLog

Modified: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2008-04-23 04:29:08 UTC (rev 807)
+++ extra-x86_64/PKGBUILD	2008-04-23 04:30:24 UTC (rev 808)
@@ -5,19 +5,22 @@
 # uninstall ImageMagick before building, or build it, install it, build it.
 
 pkgname=imagemagick
-pkgver=6.3.8.0
-pkgrel=2
+pkgver=6.4.0.2
+pkgrel=1
 pkgdesc="An image viewing/manipulation program"
 arch=('i686' 'x86_64')
 url="http://www.imagemagick.org/"
 license=('custom')
-depends=('lcms' 'libwmf' 'librsvg' 'libxt' 'gcc-libs' 'ghostscript' 'openexr')
+depends=('lcms' 'libwmf' 'librsvg' 'libxt' 'gcc-libs' 'ghostscript' 'openexr' 'libtool>=2.2')
 #makedepends=('ghostscript' 'openexr')
 options=('!makeflags')
 source=(ftp://ftp.imagemagick.org/pub/ImageMagick/ImageMagick-${pkgver%.*}-${pkgver##*.}.tar.bz2 \
-        libpng_mmx_patch_x86_64.patch)
-md5sums=('ca771d5c6dc50ac6b0c4d6abc2c9bd77' '069980fc2590c02aed86420996259302')
-sha1sums=('c22e3cf891d4a48289f622011ffcbb37f2ffa74d' 'e42f3acbe85b6098af75c5cecc9a254baaa0482c')
+        libpng_mmx_patch_x86_64.patch add_delegate.patch)
+md5sums=('81cf4a9c720759d28ae5db269b868ef1' '069980fc2590c02aed86420996259302'\
+         '7f5851c4450b73d52df55c7e806cc316')
+sha1sums=('314748cdec0939d210641a403281b05a80da765c'
+          'e42f3acbe85b6098af75c5cecc9a254baaa0482c'
+          '19b40dcbc5bf8efb8ce7190fed17e2921de32ea5')
 
 build() {
   cd ${startdir}/src/ImageMagick-${pkgver%.*}
@@ -26,17 +29,19 @@
     patch -Np1 -i ${startdir}/src/libpng_mmx_patch_x86_64.patch || return 1
   fi
 
-  ./configure --prefix=/usr --with-modules=no --without-dps \
-              --with-perl=yes --without-gvc --with-jp2=no \
-              --with-gs-font-dir=/usr/share/fonts/Type1 \
-              --without-djvu --with-wmf --with-openexr --disable-static \
-              --disable-openmp LIBS="${LIBS} -lstdc++" \
-              --with-perl-options="INSTALLDIRS=vendor"
+  patch -p0 < ../add_delegate.patch || return 1
 
+  ./configure --prefix=/usr --without-modules --disable-static --disable-openmp \
+              --with-x --with-wmf --with-openexr \
+              --with-gslib --with-gs-font-dir=/usr/share/fonts/Type1 \
+              --with-perl --with-perl-options="INSTALLDIRS=vendor" \
+              --without-gvc --without-djvu --without-jp2 \
+              --without-jbig --without-fpx --without-dps
+
   make || return 1
   make DESTDIR=${startdir}/pkg install
-  install -D -m644 LICENSE ${startdir}/pkg/usr/share/licenses/$pkgname/LICENSE
-  install -D -m644 NOTICE ${startdir}/pkg/usr/share/licenses/$pkgname/NOTICE
+  install -D -m644 LICENSE ${startdir}/pkg/usr/share/licenses/${pkgname}/LICENSE
+  install -D -m644 NOTICE ${startdir}/pkg/usr/share/licenses/${pkgname}/NOTICE
 
   #Cleaning
   find ${startdir}/pkg -name '*.bs' -exec rm {} \;

Added: extra-x86_64/add_delegate.patch
===================================================================
--- extra-x86_64/add_delegate.patch	                        (rev 0)
+++ extra-x86_64/add_delegate.patch	2008-04-23 04:30:24 UTC (rev 808)
@@ -0,0 +1,8 @@
+--- config/delegates.xml.in.orig	2008-03-29 23:25:03.000000000 -0400
++++ config/delegates.xml.in	2008-03-29 23:27:35.000000000 -0400
+@@ -103,4 +103,5 @@
+   <delegate decode="xps:color" stealth="True" command=""@XPSDelegate@" -dQUIET -dPARANOIDSAFER -dBATCH -dNOPAUSE -dNOPROMPT -dMaxBitmap=500000000 -dAlignToPixels=0 -dGridFitTT=0 "-sDEVICE=@XPSColorDevice@" -dTextAlphaBits=%u -dGraphicsAlphaBits=%u "-r%s" %s "-sOutputFile=%s" "%s""/>
+   <delegate decode="xps:cmyk" stealth="True" command=""@XPSDelegate@" -dQUIET -dPARANOIDSAFER -dBATCH -dNOPAUSE -dNOPROMPT -dMaxBitmap=500000000 -dAlignToPixels=0 -dGridFitTT=0 "-sDEVICE=@XPSCMYKDevice@" -dTextAlphaBits=%u -dGraphicsAlphaBits=%u "-r%s" %s "-sOutputFile=%s" "%s""/>
+   <delegate decode="xps:mono" stealth="True" command=""@XPSDelegate@" -dQUIET -dPARANOIDSAFER -dBATCH -dNOPAUSE -dNOPROMPT -dMaxBitmap=500000000 -dAlignToPixels=0 -dGridFitTT=0 "-sDEVICE=@XPSMonoDevice@" -dTextAlphaBits=%u -dGraphicsAlphaBits=%u "-r%s" %s "-sOutputFile=%s" "%s""/>
++  <delegate decode="dvi" command=""dvips" -q -o "%o" "%i""/>
+ </delegatemap>





More information about the arch-commits mailing list